#include <LiquidCrystal.h>
#include <Wire.h>

#define I2CMotorDriverAdd ......... >> 1  // Address du circuit MOTORDRIVER (A0 à A3 = 1)

#define MotorSpeedSet             0x......... //commande modification de la vitesse (MLI)
#define DirectionSet              0x......... //commande modification du sens de rotation
#define Nothing                   0x01        //commande de fin de modification

float temperature = 0;
byte NMLI = 0;
int Taux_MLI = 0;

//Initialisation des broches de l'afficheur : lcd(rs, rw, enable, d4, d5, d6, d7)
LiquidCrystal lcd(32, 30, 28, 26, 24, 22);


// Procédure d'initialisation
//----------------------------------------------------------------------------------------------------
void setup()
{
  .................;      //initialise le BUS Série
  .................;            //initialise le BUS I2C
  .................;        //initialise l'afficheur LCD

  Serial.println("Debut programme...");

  //--- IMPORTANT !!! ----
  Wire.setClock(4000); // Modifie la fréquence du bus I2C pour simulation sous Proteus ISIS. A Commenter ...ou pas !!! lors du prototypage
  delay(100);

  //ASTUCE : vérifie si L298 présent sur le bus I2C
  Wire.beginTransmission(I2CMotorDriverAdd);
  int error = Wire.endTransmission();
  if (error == 0) {
    Serial.println("OK : I2CMotorDriver found...");
  } else {
    Serial.println("ERROR : I2CMotorDriver not found !");
  }

  //Fixe le sens de rotation des ventilateurs :
  MotorDirectionSet(.................);  //"0b0000AABB" définie la polarité des sorties moteurs
                                         //AA = 10 signifie que M1+ est positif (+12V) et que M1- est au 0V

  // Message présentation projet
  .................;
  .................;
  .................;
  .................;
  .................;
  .................;
  .................;
  .................;

  delay(1000);
  lcd.clear();
}


// PROGRAMME PRINCIPAL
//----------------------------------------------------------------------------------------------------
void loop()
{
  unsigned int NTEMP;

  //Conversion de la tension image de la Température sur A0 -> NTEMP
  NTEMP = .................;

  //Conditionnement et Affichage de la Température
  temperature = .................;

  // Calcul de l'octet MLI en fonction de la température
  if (................. <= 25)
  {
    NMLI = .....;
  } else {
    if (................. >= 50) {
      NMLI = .....;
    } else {
      NMLI = .................;
    }
  }

  //Fixe la valeur MLI sur les deux ventilateurs
  .................; //fixe la vitesse de rotation NMLI sur les moteurs A et B;

  //Affichage des valeurs sur écrn LCD
  AfficheValeurs();

  delay(1000);
}


