
//----------------- getDateDs1307 --------------------------
//-----------------------------------------------------------
void getDateDs1307( byte *second,
                    byte *minute,
                    byte *hour,
                    byte *dayOfWeek,
                    byte *dayOfMonth,
                    byte *month,
                    byte *year)
{
  Wire.beginTransmission(DS1307_I2C_ADDRESS); // Début de transaction I2C
  Wire.write(0); // Demande les info à partir de l'adresse 0 (soit toutes les info)
  Wire.requestFrom(DS1307_I2C_ADDRESS, 7,true); //Lance la requete de lecture des 7 octets du registre
    
    *second     = bcdToDec(Wire.read());
    *minute     = bcdToDec(Wire.read() & 0x7f );
    *hour       = bcdToDec(Wire.read() & 0x7f);  // Heure
    *dayOfWeek  = bcdToDec(Wire.read() & 0x03);
    *dayOfMonth = bcdToDec(Wire.read() & 0x3f);
    *month      = bcdToDec(Wire.read()& 0x1f);
    *year       = bcdToDec(Wire.read());         // Année
    delay(10);
  Wire.endTransmission();
}


//----------------- setDateDs1307 --------------------------
//-----------------------------------------------------------
void setDateDs1307( byte second,        // 0-59
                    byte minute,        // 0-59
                    byte hour,          // 1-23
                    byte dayOfWeek,     // 1-7
                    byte dayOfMonth,    // 1-28/29/30/31
                    byte month,         // 1-12
                    byte year)          // 0-99
{
   Wire.beginTransmission(DS1307_I2C_ADDRESS);
   Wire.write(0);
   Wire.write(decToBcd(second));   
   Wire.write(decToBcd(minute));
   Wire.write(decToBcd(hour));                                   
   Wire.write(decToBcd(dayOfWeek));
   Wire.write(decToBcd(dayOfMonth));
   Wire.write(decToBcd(month));
   Wire.write(decToBcd(year));
   Wire.write(0x00);  //PAS de Front d'horloge en sortie toute les seconde sortie à 0
   delay(10);
   Wire.endTransmission();
}


void AfficheHeureDate( byte secondes, 
                         byte minutes, 
                         byte heures, 
                         byte jourSemaine, 
                         byte jourMois, 
                         byte mois, 
                         byte annee)
{                         

      //Affichage de l'heure
    if(heures < 10){ 
          message.concat("0");
          message.concat(heures);
     }
     else{
         message.concat(heures);
     }
     message.concat(":");
     
     
     if(minutes < 10){ 
          message.concat("0");
          message.concat(minutes);
     }
     else{
         message.concat(minutes);
     }
     message.concat(":");
     
     if(secondes < 10){ 
          message.concat("0");
          message.concat(secondes);
     }
     else{
         message.concat(secondes);
     }
     message.concat("  ");
     
     
     //concatenation de la date JJ/MM/AAAA
     if(jourMois < 10){ 
          message.concat("0");
          message.concat(jourMois);
     }
     else{
         message.concat(jourMois);
     }
     message.concat("/");
 
      if(mois < 10){ 
          message.concat("0");
          message.concat(mois);
     }
     else{
         message.concat(mois);
     }
     message.concat("/");
     message.concat("20");
     message.concat(annee);
   
     lcd.home();
//     lcd.clear();
     lcd.print(message);
     
     Serial.println(message);
     
     message = "";
}
