//----------------- getCAN --------------------------
//-----------------------------------------------------------
int getCAN(byte canal)
{
int Nconv;
int data1 = 0;
int data2 = 0;

   //Ecriture registre de contrôle
   Wire.beginTransmission(MAX127_I2C_ADRESS); // Début de transaction I2C
   Wire.write(canal);    //Octet de controle : Debut conversion (Table 1) sur canal n (table 2) à Vref = 0-5V (Table 3) mode normal (Table 4)
   Wire.endTransmission();
   delay(1); 
   
   //Lecture des données
   Wire.beginTransmission(MAX127_I2C_ADRESS); // Début de transaction I2C
   //delay(1);
   Wire.requestFrom(MAX127_I2C_ADRESS, 2,true);  //Lecture des deux octets MSB et LSB
   if (Wire.available()==2) {
     data1 = Wire.read();
     data2 = Wire.read();
   } else {
     Serial.println("erreur lecture MAX127 !");
   }
   delay(1);    //IMPORTANT SINON "OUT" avec Proteus et version Arduino > 1.8.2 !
   Wire.endTransmission();

   /*Debogage*/  
   Serial.print("data1 : %");
   Serial.print(data1, BIN);
   Serial.print("  data2 : %");
   Serial.print(data2, BIN);
   
   /*  Reconstitution donnée sur 16 bits*/   
   data1 = data1 << 4;   //4 Déclages à gauche octet MSB
   data2 = data2 >> 4 ;  //4 Déclages à droite octet LSB
   Nconv = (data1 | data2) & 0x0FFF;  //assocciation des 2 octets sur un 16 bits

   /*  Debogage */
   /*
   Serial.print("  canal : $");
   Serial.print(canal, HEX);
   Serial.print("  Nconv: %");
   Serial.print(Nconv, BIN);
   Serial.print("  -> $");
   Serial.print(Nconv, HEX);
   Serial.print("  -> ");
   Serial.println(Nconv, DEC);
   */
   return Nconv;    //retourne la valeur de conversion
}


//----------------- AffichagePuissance--------------------------
//-----------------------------------------------------------
void AffichagePuissance(double puissance, double courant, double tension)
{
  /*
    //Affichage U et I sur LCD
    message = "I : ";
    message.concat(courant);
    message.concat("A ");
    message.concat (" U : ");
    message.concat(tension);
    message.concat("V ");
    lcd.setCursor(0,2);
    lcd.print(message);
*/    
    //Affichage Puissance sur LCD
    message = "Puiss : ";
    message.concat(puissance);
    message.concat("W  ");
    lcd.setCursor(0,3);
    lcd.print(message);
    
    message = ""; 
  
}
