//---------------------------------------------------------------------
// TP2-1 :  Programmation Horloge DS1307 - sans interruption
//---------------------------------------------------------------------

//------------------------------ DECLARATIONS -------------------------
#include <Wire.h>               //import de la bibliothèque I2C
#include <LiquidCrystal.h>      //import de la bibliothèque LCD
#define DS1307_I2C_ADDRESS 0xD0 >>1 // adresse de base sur 7 bits du circuit DS1307 : $68

//Gestion du temps
byte secondes, minutes, heures, jourSemaine, jourMois, mois, annee;

String message = "";         // variable String pour affichage des messages
byte secpass;

//Initialisation des broches de l'afficheur : lcd(rs, rw, enable, d4, d5, d6, d7)
LiquidCrystal lcd(27, 26, 25, 24, 23, 22);

//Déclaration des fonctions
void setDateDs1307( byte ,        // 0-59
                    byte ,        // 0-59
                    byte ,          // 1-23
                    byte ,     // 1-7
                    byte ,    // 1-28/29/30/31
                    byte ,         // 1-12
                    byte );          // 0-99

//----------------- Initialisation --------------------------
//-----------------------------------------------------------
void setup()
{
  byte second, minute, hour, dayOfWeek, dayOfMonth, month, year;

  lcd.begin(20, 4); // Initialise le LCD avec 20 colonnes x 4 lignes
  delay(10); // pause rapide pour laisser temps initialisation
  lcd.clear(); // // efface l'écran et met le curseur en haut à gauche
  delay(10); // pour laisser temps effacer \u00e9cran

  Serial.begin(9600);
  Serial.println("--> SETUP ");

  // Message présentation projet
  lcd.setCursor(0, 0);
  lcd.print("  PROJET STI2D SIN  ");
  lcd.setCursor(0, 1);
  lcd.print("- BUS I2C : DS1307 -");
  lcd.setCursor(0, 2);
  lcd.print(" Lycee JB VUILLAUME ");
  lcd.setCursor(0, 3);
  lcd.print(" ANNEE    2017/2018 ");

  //Initialisation Bus I2C
  Wire.begin();

  //initialisation DS1307
  Serial.println("--> INIT DS1307 ");
  getDateDs1307(&second, &minute, &hour, &dayOfWeek, &dayOfMonth, &month, &year);
  delay(20);  //temporisation
  setDateDs1307(second, minute, hour, dayOfWeek, dayOfMonth, month, year);
  delay(20);  //temporisation
  getDateDs1307(&second, &minute, &hour, &dayOfWeek, &dayOfMonth, &month, &year);
  delay(20);  //temporisation
  secpass = second;

  delay(1000);
  lcd.clear();

  Serial.println("------ DEBUT PROGRAMME ------- ");

}

void loop()
{
  byte secondes, minutes, heures, jourSemaine, jourMois, mois, annee;
  byte temperature;

  //Lecture de la date et de l'heure
  Serial.println("--> LECTURE DS1307 ");
  getDateDs1307(&secondes, &minutes, &heures, &jourSemaine, &jourMois, &mois, &annee);

  if (secpass != secondes) 
  {
    //Traitement de l'heure
    AfficheHeureDate(secondes, minutes, heures, jourSemaine, jourMois, mois, annee);
    secpass = secondes;
  }
  
  delay(300);

}







