//-------------------------------------------------------------------------
// TP2 :  Programmation Mesure de la T° par lecture du capteur TC74A0 - I2C
//-------------------------------------------------------------------------

//------------------------------ DECLARATIONS -------------------------
#include <Wire.h>               //import de la bibliothèque I2C
#include <LiquidCrystal.h>      //import de la bibliothèque LCD
#define TC74_I2C_ADRESS 0x90>>1 //adresse de base sur 7 bits du circuit TC74A0 :0x90 (%1001 000) -> 0x48 (%0100 0100)


String message = "";         // variable String pour affichage des messages


//Température
byte temperature;

//Initialisation des broches de l'afficheur : lcd(rs, rw, enable, d4, d5, d6, d7)
LiquidCrystal lcd(27, 26, 25, 24, 23, 22);

//------------------------------  FONCTIONS et PROCEDURES -------------------------


//----------------- Initialisation --------------------------
//-----------------------------------------------------------
void setup()
{

  lcd.begin(20, 4); // Initialise le LCD avec 20 colonnes x 4 lignes
  delay(10);        // pause rapide pour laisser temps initialisation
  lcd.clear();      // efface l'écran et met le curseur en haut à gauche
  delay(10);        // laisser le temps d'effacer

  Serial.begin(9600);
  Serial.println("--> SETUP ");

  // Message présentation projet
  lcd.setCursor(0, 0);
  lcd.print("  PROJET STI2D SIN  ");
  lcd.setCursor(0, 1);
  lcd.print("- BUS I2C : TC74A0 -");
  lcd.setCursor(0, 2);
  lcd.print(" Lycee JB VUILLAUME ");
  lcd.setCursor(0, 3);
  lcd.print(" ANNEE    2017/2018 ");

  //Initialisation Bus I2C
  Wire.begin();

  //Initialise le circuit TC74
  Serial.println("--> INIT TC74A");
  Wire.beginTransmission(TC74_I2C_ADRESS); // Début de transaction I2C
  Wire.write(0x01);
  Wire.write(0x00);  //réveil de l'horloge : Arret du mode Standby et passage en mode normal
  Wire.endTransmission();
  delay(100);
  temperature = getTempTC74();

  delay(1000);
  lcd.clear();

  Serial.println("------ DEBUT PROGRAMME ------- ");

}



void loop()
{

  //Traitement température
  Serial.println("--> LECTURE TC74A ");
  temperature = getTempTC74();
  AffichageTemp(temperature);

  delay(5000);


}



