//  TP3 - Mesure du courant et de la tension pour le calcul de la puissance
//--------------------------------------------------------------------------

//------------------------------ DECLARATIONS -------------------------
#include <Wire.h>               //import de la bibliothèque I2C
#include <LiquidCrystal.h>      //import de la bibliothèque LCD
#define MAX127_I2C_ADRESS 0x50>>1      //adresse de base sur 7 bits du circuit MAX127 avec A2=A1=A0 : 0x50 (%0101 000 ) -> 0x28 (%0010 1000 )

String message="";           // variable String pour affichage des messages

//Initialisation des broches de l'afficheur : lcd(rs, rw, enable, d4, d5, d6, d7)
LiquidCrystal lcd(27, 26, 25, 24, 23, 22);

//----------------- Initialisation --------------------------
//-----------------------------------------------------------
void setup()
{
int Nconv;
int canal;

  lcd.begin(20,4); // Initialise le LCD avec 20 colonnes x 4 lignes  
  delay(10); // pause rapide pour laisser temps initialisation
  lcd.clear(); // // efface l'écran et met le curseur en haut à gauche
  delay(10); // pour laisser temps effacer \u00e9cran
  
  Serial.begin(9600);
  Serial.println("--> SETUP ");
  
  // Message présentation projet
  lcd.setCursor(0, 0);
  lcd.print("  PROJET STI2D SIN  ");
  lcd.setCursor(0,1);
  lcd.print("- MESURE PUISSANCE -");
  lcd.setCursor(0,2);
  lcd.print(" Lycee JB VUILLAUME ");
  lcd.setCursor(0,3);
  lcd.print(" ANNEE    2017/2018 ");

  //Initialisation Horloge I2C
  Wire.begin();
  delay(10);

  //initialisation MAX127 : Mode Normal + lecture de tous les Canaux
  Serial.println("--> INIT MAX127");
  
  for(int i = 0;i<8;i++)
  {
     canal = 0x80 | 16*i;
     Nconv = getCAN(canal);
  }
  
  delay(1000);
  lcd.clear();
 
  Serial.println("------ DEBUT PROGRAMME ------- ");
}

//----------------- Programme Principal----------------------
//-----------------------------------------------------------
void loop()
{
int Nconv = 0;
double puissanceELEC;
double courant, tension;
    
    //Traitement courant
    Serial.print("--> LECTURE MAX127 : ");

    //Conversion de la tension image du courant
    Nconv = getCAN(0b10000000);    //Lecture du courant
    
    //Conditionnement du courant en fonction de Nconv 
    courant = (((double)Nconv /4095)*25  - 12.5);

    //Conversion de la tension d'alimentation
    Nconv = getCAN(0b10010000);    //Lecture de la tension
    
    //Conditionnement de la tension en fonction de Nconv 
    tension = ((12*(double)Nconv /4095));
    
    //calcul de la puissance électrique -> courant1 : 12V  - courant2 : 5V
    puissanceELEC = abs(tension)*abs(courant);
    
    //Transmission des infos debogage : création du message
    message = "I : ";
    message.concat(courant);
    message.concat("A ");
    message.concat (" U : ");
    message.concat(tension);
    message.concat("V ");
    message.concat(" -> P :");
    message.concat(puissanceELEC);
    message.concat("W ");
    Serial.println(message);

    //affichage du résultat sur LCD
    AffichagePuissance(puissanceELEC, courant, tension);
   
    delay(500); 
}



