void writeEEPROM(int ADDR_I2C, unsigned int eeaddress, byte data )
{

  Wire.beginTransmission(ADDR_I2C);               //Prise en main du BUS et connexion au circuit EEPROM
  delay(1);
  Wire.write( byte(eeaddress >> 8) );             // Ecriture de l'adresse octet MSB
  Wire.write( byte(eeaddress & 0x00FF) );         // Ecriture de l'adresse octet LSB
  Wire.write(data);                               // ecriture de l'octet data
  delay(1);
  Wire.endTransmission();                         //Fin de transmission : Libération du BUS

}

byte readEEPROM(int ADDR_I2C, unsigned int eeaddress )
{
  byte Octet = 0xFF;
  Wire.beginTransmission(ADDR_I2C);                 //Prise en main du BUS et connexion au circuit EEPROM
  delay(1);
  Wire.write( byte(eeaddress >> 8) );               // Ecriture de l'adresse octet MSB
  Wire.write( byte(eeaddress & 0x00FF) );           // Ecriture de l'adresse octet LSB
  delay(10);
  Wire.endTransmission();                           //Fin de transmission : Libération du BUS

  Wire.beginTransmission(ADDR_I2C);                 //Prise en main du BUS et connexion au circuit EEPROM
  delay(1);
  Wire.requestFrom(ADDR_I2C, 1, false);             //Requête de lecture d'1 Octet sur le circuit EEPROM sans ACK
  if (Wire.available()) {                           //Si la donnée est disponible ....
    Octet = Wire.read();                            // Octet = lecture de la donnée
  }
  delay(1);
  Wire.endTransmission();                           //Fin de transmission : Libération du BUS

  return Octet;                                     //retourne la donnée lue
}
